# -*- coding: utf-8 -*-
"""
Created on Fri Nov 15 16:23:03 2024

@author: ym
"""

class CamEvent:
    def __init__(self, datapath):
        self.data_path = datapath
        self.bboxes = None
        self.bfeats = None
        self.tboxes = None
        self.tfeats = None
        
        

class ShopEvent:
    def __init__(self, eventpath, stdpath):
        self.barcode = ""
        self.event_path = eventpath
        self.event_type = self.get_event_type(eventpath)
        
        self.FrontEvent = ""
        self.BackEvent = ""
        self.fusion_boxes = None
        self.fusion_feats = None
        self.stdfeats = self.get_stdfeats(stdpath)
        self.weight = None
        self.imu = None
        
    def get_event_type(self, eventpath):
        pass
    
    
    
    def get_stdfeats(self, stdpath):
        pass
    
    
    
    
    
    
    
    
    
        
    
    